package com.alibaba.druid.sql.dialect.greenplum.ast.stmt;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.SQLStatementImpl;
import com.alibaba.druid.sql.ast.statement.SQLCreateStatement;
import com.alibaba.druid.sql.ast.statement.SQLUpdateSetItem;
import com.alibaba.druid.sql.dialect.greenplum.visitor.GPASTVisitor;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class GPCreateTableSpaceStatement extends SQLStatementImpl implements SQLCreateStatement {
   private SQLName tableSpaceName;
   private boolean owner;
   private SQLName ownerName;
   private SQLName locationDir;
   private boolean with;
   private List<SQLUpdateSetItem> parameterList = new ArrayList();

   public SQLName getTableSpaceName() {
      return this.tableSpaceName;
   }

   public void setTableSpaceName(SQLName tableSpaceName) {
      this.tableSpaceName = tableSpaceName;
   }

   public boolean isOwner() {
      return this.owner;
   }

   public void setOwner(boolean owner) {
      this.owner = owner;
   }

   public SQLName getOwnerName() {
      return this.ownerName;
   }

   public void setOwnerName(SQLName ownerName) {
      this.ownerName = ownerName;
   }

   public SQLName getLocationDir() {
      return this.locationDir;
   }

   public void setLocationDir(SQLName locationDir) {
      this.locationDir = locationDir;
   }

   public boolean isWith() {
      return this.with;
   }

   public void setWith(boolean with) {
      this.with = with;
   }

   public List<SQLUpdateSetItem> getParameterList() {
      return this.parameterList;
   }

   public void setParameterList(List<SQLUpdateSetItem> parameterList) {
      this.parameterList = parameterList;
   }

   public void accept0(SQLASTVisitor visitor) {
      this.accept0((GPASTVisitor)visitor);
   }

   public void accept0(GPASTVisitor visitor) {
      visitor.visit(this);
   }
}
